STATIC API DOCUMENT

企业开庭公告列表接口 API 文档

根据企业ID或统一社会信用代码查询企业开庭公告列表,分页查询,每页默认30条。

接口详情页 分类:企业信息 MCP Tool:yuandian_rh_enterpriseCourtSessionNotice

接口概览

接口名称企业开庭公告列表接口
接口描述根据企业ID或统一社会信用代码查询企业开庭公告列表,分页查询,每页默认30条。
接口分类企业信息
调用地址https://open.chineselaw.com/open/rh_enterpriseCourtSessionNotice
请求方式GET

请求参数

3. 请求参数(Query)

参数名 类型 是否必填 说明
id string 企业ID
tyshxydm string 统一社会信用代码
pageNo int 页码,默认1

idtyshxydm 不能同时为空。

响应参数

5. 响应说明

5.1 通用返回结构

字段名 类型 说明
status string success / notFound
code number 成功 200
message string 提示信息
data object 数据结果

5.2 data 对象说明(概要)

字段名 类型 说明
id string 企业ID
name string 企业名称
total number 总数
pageNo number 当前结果页码
pageSize number 每页结果列表数量
hasMore boolean 是否还有下一页
list object[] 当前结果列表

错误码

暂无错误码说明

调用示例

CURL

curl --location --request GET 'https://open.chineselaw.com/open/rh_enterpriseCourtSessionNotice?id=902490e5-1c92-46a3-9032-7eda9b2ff335&pageNo=1' \
--header 'X-API-Key: 你的api_key' \
--header 'Accept: application/json'

JAVA

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.time.Duration;

public class EnterpriseCourtSessionNoticeExample {
    public static void main(String[] args) throws Exception {
        String apiKey = "你的api_key";
        String url = "https://open.chineselaw.com/open/rh_enterpriseCourtSessionNotice?id=902490e5-1c92-46a3-9032-7eda9b2ff335&pageNo=1";

        HttpRequest request = HttpRequest.newBuilder()
                .uri(URI.create(url))
                .timeout(Duration.ofSeconds(60))
                .header("X-API-Key", apiKey)
                .header("Accept", "application/json")
                .GET()
                .build();

        HttpClient client = HttpClient.newHttpClient();
        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.statusCode());
        System.out.println(response.body());
    }
}

PYTHON

import requests

url = "https://open.chineselaw.com/open/rh_enterpriseCourtSessionNotice"
API_KEY = "你的api_key"
headers = {
    "X-API-Key": API_KEY,
    "Accept": "application/json",
}
params = {
    'id': '902490e5-1c92-46a3-9032-7eda9b2ff335',
    'pageNo': '1',
}
response = requests.get(url, params=params, headers=headers, timeout=60)
response.raise_for_status()
print(response.json())

JAVASCRIPT

const API_KEY = "你的api_key";
const url = new URL("https://open.chineselaw.com/open/rh_enterpriseCourtSessionNotice");
url.searchParams.set('id', '902490e5-1c92-46a3-9032-7eda9b2ff335');
url.searchParams.set('pageNo', '1');

const res = await fetch(url, {
  method: "GET",
  headers: {
    "X-API-Key": API_KEY,
    "Accept": "application/json",
  },
});
if (!res.ok) throw new Error(`HTTP ${res.status}`);
console.log(await res.json());

MCP Tool 名称

MCP Serveryuandian-company(企业信息 Server)
Streamable HTTP 入口https://open.chineselaw.com/mcp/company/stream
MCP Toolyuandian_rh_enterpriseCourtSessionNotice

响应示例

## 6. 响应示例

```JSON
{
  "code": 200,
  "data": {
    "id": "902490e5-1c92-46a3-9032-7eda9b2ff335",
    "name": "上海苗发金属材料有限公司",
    "total": 3,
    "pageNo": 1,
    "pageSize": 50,
    "hasMore": false,
    "list": [
      {
        "起诉方": [
          "上海苗发金属材料有限公司"
        ],
        "应诉方": [
          "被褚昔彭",
          "祝高松",
          "余文珍",
          "高雪芬"
        ],
        "审理时间": "2024年08月26日",
        "审理法院": "海宁市人民法院"
      },
      {
        "起诉方": [
          "上海苗发金属材料有限公司"
        ],
        "应诉方": [
          "海宁市远东环保设备科技有限公司",
          "褚列平",
          "褚昔彭"
        ],
        "案由": "案由:买卖合同纠纷&承办部门:商事审判庭&审判长/主审人:王经珍",
        "审理时间": "2023年08月14日",
        "审理法院": "上海市宝山区人民法院"
      },
      {
        "起诉方": [
          "上海苗发金属材料有限公司"
        ],
        "应诉方": [
          "海宁市远东环保设备科技有限公司",
          "褚列平",
          "诸昔彭"
        ],
        "案由": "案由:买卖合同纠纷&承办部门:商事审判庭&审判长/主审人:王经珍",
        "审理时间": "2023年07月13日",
        "审理法院": "上海市宝山区人民法院"
      }
    ]
  },
  "message": "请求成功",
  "status": "success"
}
```

完整文档

企业开庭公告列表接口

1. 基本信息

  • 接口名称:企业开庭公告列表接口
  • 接口用途:根据企业ID或统一社会信用代码查询企业开庭公告列表,分页查询,每页默认30条。

2. 请求信息

  • HTTP Method:GET
  • URLhttps://open.chineselaw.com/open/rh_enterpriseCourtSessionNotice

3. 请求参数(Query)

参数名 类型 是否必填 说明
id string 企业ID
tyshxydm string 统一社会信用代码
pageNo int 页码,默认1

idtyshxydm 不能同时为空。

4. 请求示例

GET https://open.chineselaw.com/open/rh_enterpriseCourtSessionNotice?id=902490e5-1c92-46a3-9032-7eda9b2ff335&pageNo=1

5. 响应说明

5.1 通用返回结构

字段名 类型 说明
status string success / notFound
code number 成功 200
message string 提示信息
data object 数据结果

5.2 data 对象说明(概要)

字段名 类型 说明
id string 企业ID
name string 企业名称
total number 总数
pageNo number 当前结果页码
pageSize number 每页结果列表数量
hasMore boolean 是否还有下一页
list object[] 当前结果列表

6. 响应示例

{
  "code": 200,
  "data": {
    "id": "902490e5-1c92-46a3-9032-7eda9b2ff335",
    "name": "上海苗发金属材料有限公司",
    "total": 3,
    "pageNo": 1,
    "pageSize": 50,
    "hasMore": false,
    "list": [
      {
        "起诉方": [
          "上海苗发金属材料有限公司"
        ],
        "应诉方": [
          "被褚昔彭",
          "祝高松",
          "余文珍",
          "高雪芬"
        ],
        "审理时间": "2024年08月26日",
        "审理法院": "海宁市人民法院"
      },
      {
        "起诉方": [
          "上海苗发金属材料有限公司"
        ],
        "应诉方": [
          "海宁市远东环保设备科技有限公司",
          "褚列平",
          "褚昔彭"
        ],
        "案由": "案由:买卖合同纠纷&承办部门:商事审判庭&审判长/主审人:王经珍",
        "审理时间": "2023年08月14日",
        "审理法院": "上海市宝山区人民法院"
      },
      {
        "起诉方": [
          "上海苗发金属材料有限公司"
        ],
        "应诉方": [
          "海宁市远东环保设备科技有限公司",
          "褚列平",
          "诸昔彭"
        ],
        "案由": "案由:买卖合同纠纷&承办部门:商事审判庭&审判长/主审人:王经珍",
        "审理时间": "2023年07月13日",
        "审理法院": "上海市宝山区人民法院"
      }
    ]
  },
  "message": "请求成功",
  "status": "success"
}

7. 代码示例

7.1 CURL

curl --location --request GET 'https://open.chineselaw.com/open/rh_enterpriseCourtSessionNotice?id=902490e5-1c92-46a3-9032-7eda9b2ff335&pageNo=1' \
--header 'X-API-Key: 你的api_key' \
--header 'Accept: application/json'

7.2 Python

import requests

url = "https://open.chineselaw.com/open/rh_enterpriseCourtSessionNotice"
API_KEY = "你的api_key"
headers = {
    "X-API-Key": API_KEY,
    "Accept": "application/json",
}
params = {
    'id': '902490e5-1c92-46a3-9032-7eda9b2ff335',
    'pageNo': '1',
}
response = requests.get(url, params=params, headers=headers, timeout=60)
response.raise_for_status()
print(response.json())

7.3 Java

import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;
import java.time.Duration;

public class EnterpriseCourtSessionNoticeExample {
    public static void main(String[] args) throws Exception {
        String apiKey = "你的api_key";
        String url = "https://open.chineselaw.com/open/rh_enterpriseCourtSessionNotice?id=902490e5-1c92-46a3-9032-7eda9b2ff335&pageNo=1";

        HttpRequest request = HttpRequest.newBuilder()
                .uri(URI.create(url))
                .timeout(Duration.ofSeconds(60))
                .header("X-API-Key", apiKey)
                .header("Accept", "application/json")
                .GET()
                .build();

        HttpClient client = HttpClient.newHttpClient();
        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.statusCode());
        System.out.println(response.body());
    }
}

7.4 JavaScript

const API_KEY = "你的api_key";
const url = new URL("https://open.chineselaw.com/open/rh_enterpriseCourtSessionNotice");
url.searchParams.set('id', '902490e5-1c92-46a3-9032-7eda9b2ff335');
url.searchParams.set('pageNo', '1');

const res = await fetch(url, {
  method: "GET",
  headers: {
    "X-API-Key": API_KEY,
    "Accept": "application/json",
  },
});
if (!res.ok) throw new Error(`HTTP ${res.status}`);
console.log(await res.json());